# -*- coding: utf-8 -*-
# Name:        module1
# Purpose:
#
# Author:      F. MAUNY
#
# Created:     01/10/2013
# Copyright:   (c) F. MAUNY 2013
# Licence:     <your licence>
#-------------------------------------------------------------------------------


from scipy import *
from pylab import *

from scipy.integrate import quad


"trace de la periode en fonction de l'amplitude (non isochronisme)"

amplitude = range(5,175,1)
"on pourrait aussi créer la liste t au moyen d'une boucle while..."

periode = []
g = 9.8
a = 0.50
#convertir les angles en radian#
for i in amplitude :
    def f(x):
        return 4*sqrt(a/3/g)*(cos(x)-cos(i/180*3.14))**(-1/2)
    T,err=quad(f,0,i/180*3.14)
    periode.append(T)
"Attention, la commande quad renvoie un doublet de valeurs T,err"
"T est la période, err la majoration de l'erreur commise pour le calcul de l'intégrale"
title('periode T selon amplitude')
xlabel=('Amplitude')
ylabel=('Periode')
plot(amplitude,periode)
plt.show()

"essai de la commande quad"

"sur une seule valeur d'mplitude"
g = 9.8
a = 0.50
i=30
def f(x):
    return 4*sqrt(a/3/g)*(cos(x)-cos(i/180*3.14))**(-1/2)
T,e=quad(f,0,i/180*3.14)
print("periode",T)
print("erreur = ",e)

"sur quelques valeurs d'amplitudes"
periode = []
g = 9.8
a = 0.50
amplitude = range(30,175,10)
#convertir les angles en radian#
for i in amplitude :
    def f(x):
        return 4*sqrt(a/3/g)*(cos(x)-cos(i/180*3.14))**(-1/2)
    T,err=quad(f,0,i/180*3.14)
    periode.append(T)
print(periode)